Skip to main content
POST
/
payment-batches
/
{paymentBatchId}
/
payments
curl --request POST \
  --url https://api.equalsmoney.com/v2/payment-batches/{paymentBatchId}/payments \
  --header 'Authorization: <api-key>' \
  --header 'content-type: <content-type>' \
  --data '
{
  "defaultFundingBudgetId": "771967a7-f0f7-4137-a6bf-494452ba6549",
  "rows": [
    {
      "amount": "string",
      "currencyCode": "USD",
      "fundingBudgetId": "6ee672f6-226f-4a72-8592-0f8dc5284ab1",
      "purposeCode": "string",
      "purpose": "string",
      "reference": "string",
      "externalId": "string",
      "recipient": {
        "id": "string",
        "defaultReference": "string",
        "type": "individual",
        "name": "string",
        "displayName": "string",
        "subscribedEmails": [
          {
            "name": "string",
            "email": "user@example.com"
          }
        ],
        "accountIdentifier": "string",
        "bankIdentifier": "string",
        "secondaryBankIdentifier": "string",
        "intermediaryBankIdentifier": "string",
        "paymentNetwork": "SWIFT",
        "address": {
          "addressType": "ADDR",
          "streetName": "string",
          "buildingNumber": "string",
          "buildingName": "string",
          "postcode": "string",
          "city": "string",
          "region": "string",
          "countryCode": "GB"
        },
        "bankAddress": {
          "countryCode": "GB"
        }
      }
    }
  ]
}
'
{
  "format": "json",
  "status": "accepted",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Authorizations

Authorization
string
header
required

Headers

content-type
string
required

Format for the payments upload.

Path Parameters

paymentBatchId
string<uuid>
required

The unique ID of the Payment Batch.

Maximum string length: 36

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

defaultFundingBudgetId
string<uuid>
required

The ID of the budget that will fund each payment if one isn't specified per payment

Maximum string length: 36
rows
object[]
required

Array of all the payments with optional fundingBudgetId.

Response

202 - application/json

Accepted

format
enum<string>
required

The format that the payments were uploaded in.

Available options:
json,
csv
status
enum<string>
required

The status of the upload

Available options:
accepted,
uploaded,
validated,
failed
createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>
required

The date the Resource was last modified. ISO 8601 format without milliseconds.